Vaults
Retrieve a Vault
Retrieve a single vault by ID, including its wallets, asset, and sub-org.
Request example
{
"path": {
"vaultId": "vault_ngn_business"
}
}
# Sample only. Generate a new signed token for each request
# (see Authentication). Tokens expire after 120 seconds.
curl --request GET \
--url "https://api.primevault.com/api/external/vaults/vault_ngn_business/" \
--header "Authorization: Bearer <signed JWT>" \
--header "Api-Key: <API key>" \
--header "Accept: application/json"
const vault = await apiClient.getVaultById("vault_ngn_business");
console.log(vault.id, vault.asset); // vault_ngn_business, NGN
{
"id": "vault_ngn_business",
"orgId": "org_456",
"subOrgId": "sub_org_123",
"vaultName": "NGN Business Account",
"vaultType": "DEFAULT",
"asset": "NGN",
"wallets": [],
"walletsGenerated": false,
"createdAt": "2026-09-27T10:00:00Z",
"updatedAt": "2026-09-27T10:00:00Z",
"isDeleted": false
}
GET
/api/external/vaults/{vaultId}/
Path parameter
string
required
ID returned by a vault list or create response.
Response
Vault, includingwallets, optional nullable asset, and optional subOrgId.
Request example
{
"path": {
"vaultId": "vault_ngn_business"
}
}
# Sample only. Generate a new signed token for each request
# (see Authentication). Tokens expire after 120 seconds.
curl --request GET \
--url "https://api.primevault.com/api/external/vaults/vault_ngn_business/" \
--header "Authorization: Bearer <signed JWT>" \
--header "Api-Key: <API key>" \
--header "Accept: application/json"
const vault = await apiClient.getVaultById("vault_ngn_business");
console.log(vault.id, vault.asset); // vault_ngn_business, NGN
{
"id": "vault_ngn_business",
"orgId": "org_456",
"subOrgId": "sub_org_123",
"vaultName": "NGN Business Account",
"vaultType": "DEFAULT",
"asset": "NGN",
"wallets": [],
"walletsGenerated": false,
"createdAt": "2026-09-27T10:00:00Z",
"updatedAt": "2026-09-27T10:00:00Z",
"isDeleted": false
}
⌘I
Request example
{
"path": {
"vaultId": "vault_ngn_business"
}
}
# Sample only. Generate a new signed token for each request
# (see Authentication). Tokens expire after 120 seconds.
curl --request GET \
--url "https://api.primevault.com/api/external/vaults/vault_ngn_business/" \
--header "Authorization: Bearer <signed JWT>" \
--header "Api-Key: <API key>" \
--header "Accept: application/json"
const vault = await apiClient.getVaultById("vault_ngn_business");
console.log(vault.id, vault.asset); // vault_ngn_business, NGN
{
"id": "vault_ngn_business",
"orgId": "org_456",
"subOrgId": "sub_org_123",
"vaultName": "NGN Business Account",
"vaultType": "DEFAULT",
"asset": "NGN",
"wallets": [],
"walletsGenerated": false,
"createdAt": "2026-09-27T10:00:00Z",
"updatedAt": "2026-09-27T10:00:00Z",
"isDeleted": false
}